1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      GET
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  1. Live Endpoints

getStockLevels

Developing
GET
/getStockLevels
API that provides an overview of stock levels per store for a given article.
This endpoint shall be implemented on the customer side, which PearlPOS can request to.

Request

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/getStockLevels?store&article'
Response Response Example
[
    {
        "article": "string",
        "articleText": "string",
        "store": "string",
        "storeText": "string",
        "storageLocation": "string",
        "storageLocationText": "string",
        "quantity": 0,
        "unitOfMeasureCode": "string"
    }
]
Modified at 2026-03-17 15:18:49
Previous
getValueCodes
Next
lookupPrices
Built with